+ Start a Discussion
Keith987Keith987 

Explicit PackageVersionHeader needed: "Configure Enterprise Package Version Settings" not enough?

I have multiple versions of a managed package installed. Not setting the PackageVersionHeader in the calling Java code results in the fields added in later versions of the managed package not being returned by describeSObjects and causing errors in query calls even when the "Configure Enterprise Package Version Settings" have been set. My reading of the documentation suggested that making those settings would be enough.

 

The code does work if I set the version numbers in the PackageVersionHeader but that is not a particularly convenient solution.

 

Can anyone confirm this behavior or let me know what I'm missing here?

 

Thanks,

Keith